
#
# Patch managed by http://www.mn-logistik.de/unsupported/pxa250/patcher
#

--- coreutils-5.1.3/configure.ac~man	2004-01-25 16:57:15.000000000 -0600
+++ coreutils-5.1.3/configure.ac	2004-06-29 14:22:10.000000000 -0500
@@ -232,6 +232,20 @@
 AM_GNU_GETTEXT([external], [need-ngettext])
 AM_GNU_GETTEXT_VERSION(0.13.1)
 
+AC_MSG_CHECKING([whether to build man pages])
+AC_ARG_WITH(manpages, 
+	AS_HELP_STRING([--with-manpages],
+		[Enable building of manpages (default=yes)]),
+	[cu_cv_build_manpages=$enableval],
+	[cu_cv_build_manpages=yes])
+# help2man doesn't work when crosscompiling, as it needs to run the
+# binary that was built.
+if test x"$cross_compiling" = x"yes"; then
+  cu_cv_build_manpages=no
+fi
+AC_MSG_RESULT($cu_cv_build_manpages)
+AM_CONDITIONAL(ENABLE_MANPAGES, test x"$cu_cv_build_manpages" = x"yes")
+
 AC_CONFIG_FILES(
   Makefile
   doc/Makefile
--- coreutils-5.1.3/Makefile.am~man	2003-11-09 14:23:02.000000000 -0600
+++ coreutils-5.1.3/Makefile.am	2004-06-29 14:18:14.000000000 -0500
@@ -1,6 +1,11 @@
 ## Process this file with automake to produce Makefile.in -*-Makefile-*-
 
+if ENABLE_MANPAGES
 SUBDIRS = lib src doc man m4 po tests
+else
+SUBDIRS = lib src doc m4 po tests
+endif
+
 EXTRA_DIST = Makefile.cfg Makefile.maint GNUmakefile \
   .kludge-stamp .prev-version THANKS-to-translators THANKStt.in \
   .x-sc_space_tab .x-sc_sun_os_names \
